Waitlist Infomation of the business

This endpoint returns waitlist information about a specific business by querying the encryped Yelp business id.
All the returned fields that are included in this endpoint are configuration fields including the maximum join radius (join_radius), the maximum party size (max_party_size) and the seating areas supported by the restaurant for user to choose from (seating_areas).

Curl example with OAuth authentication:

    root@test:~# curl -X GET "https://api.yelp.com/v3/businesses/${BUSINESS_ID}/waitlist/info" --header "Authorization: Bearer ${API_TOKEN}" --header "Content-Type: application/json"

Example 200 response:

{
    "join_radius": 0,
    "join_radius_unit": "MILES",
    "max_party_size": 8,
    "seating_areas": {
        "FIRST": "First Available"
    }
}

Note: In order to use this endpoint, the caller should be an onboarded Yelp Waitlist partner

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Encrypted Yelp business identifer

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json